<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:ext="http://exslt.org/common" exclude-result-prefixes="ext">
	<xsl:import href="/lumis/doui/style/DouiControls.xsl" />
	
	
	
	<xsl:template match="control[@type='mpmgportal_InputIconControl']" name="mpmgportal_InputIconControl">
		<select onchange="{clientEventHandler/onChange}" name="{@id}">
			<xsl:attribute name="onchange">icon_<xsl:value-of select="@id"/>_PreviewChange();<xsl:value-of select="clientEventHandler/onChange"/>
			</xsl:attribute>
			<xsl:apply-templates select="." mode="generateIdAttribute"><xsl:with-param name="id" select="@id"/></xsl:apply-templates>
			<xsl:apply-templates select="@*[name()!='type' and name()!='id' and name()!='optionsSourceId' and name()!='sourceId' and name()!='renderBlankOption' and name()!='disabled' and name()!='valueFieldId' and name()!='textFieldId']" />
			<xsl:if test="@disabled='true' or count(data/option)=0">
				<xsl:attribute name="disabled">disabled</xsl:attribute>
			</xsl:if>
			<xsl:for-each select="data/styles/css">
				${lum_beforeWrite('<xsl:text disable-output-escaping="yes">&lt;link type="text/css" rel="stylesheet" href="</xsl:text><xsl:value-of select="path" /><xsl:text disable-output-escaping="yes">"&gt;&lt;/link&gt;</xsl:text>','icones_<xsl:value-of select="id" />.css')}
			</xsl:for-each>
			<xsl:for-each select="data/option">
				<option value="{value}">
					<xsl:if test="selected='true'">
						<xsl:attribute name="selected">selected</xsl:attribute>
					</xsl:if>
					<xsl:value-of select="text"/>
				</option>
			</xsl:for-each>
			<xsl:if test="count(data/option)=0">
				<option />
			</xsl:if>
		</select>
		<xsl:apply-templates select="control" />
		<div id="icon_preview_{@id}_preview" style="display:none;padding-top:10px;" class="lum-form-field lum-form-field-id-icone_preview">
			<div class="lum-form-field-label">
				<label>Preview Ícone</label>
			</div>
			<div class="lum-form-field-value">
				<i id="icon_preview_{@id}" aria-hidden="true"  class="icon-corregedoria" style="font-size: 48px;"></i>
			</div>
		</div>		
		<script>
		function icon_<xsl:value-of select="@id"/>_PreviewChange(){
			var iconValue =$('#<xsl:value-of select="@id"/>').children("option:selected").val();
			if(iconValue==undefined || iconValue==='' ){
				$('#icon_preview_<xsl:value-of select="@id"/>_preview').hide();
			}else
			{
				 $('#icon_preview_<xsl:value-of select="@id"/>').removeClass();
				 $('#icon_preview_<xsl:value-of select="@id"/>').addClass(iconValue);
				 $('#icon_preview_<xsl:value-of select="@id"/>_preview').show();
			}
		}
		icon_<xsl:value-of select="@id"/>_PreviewChange();
		</script>
	</xsl:template>
	
	
	
</xsl:stylesheet>